Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::TesseractStats Struct Reference

`#include <tesseractclass.h>`

List of all members.

## Public Member Functions

| TesseractStats ()

## Public Attributes

inT32 | adaption_word_number
inT16 | doc_blob_quality
inT16 | doc_outline_errs
inT16 | doc_char_quality
inT16 | good_char_count
inT16 | doc_good_char_quality
inT32 | word_count
inT32 | dict_words
STRING | dump_words_str
bool | tilde_crunch_written
bool | last_char_was_newline
bool | last_char_was_tilde
bool | write_results_empty_block

## Detailed Description

Definition at line 108 of file tesseractclass.h.

## Constructor & Destructor Documentation

tesseract::TesseractStats::TesseractStats | ( |  | ) |

inline

Definition at line 109 of file tesseractclass.h.

: adaption_word_number(0),
doc_blob_quality(0),
doc_outline_errs(0),
doc_char_quality(0),
good_char_count(0),
doc_good_char_quality(0),
word_count(0),
dict_words(0),
tilde_crunch_written(false),
last_char_was_newline(true),
last_char_was_tilde(false),
write_results_empty_block(true) {}

## Member Data Documentation

inT32 tesseract::TesseractStats::adaption_word_number

Definition at line 123 of file tesseractclass.h.

inT32 tesseract::TesseractStats::dict_words

Definition at line 130 of file tesseractclass.h.

inT16 tesseract::TesseractStats::doc_blob_quality

Definition at line 124 of file tesseractclass.h.

inT16 tesseract::TesseractStats::doc_char_quality

Definition at line 126 of file tesseractclass.h.

inT16 tesseract::TesseractStats::doc_good_char_quality

Definition at line 128 of file tesseractclass.h.

inT16 tesseract::TesseractStats::doc_outline_errs

Definition at line 125 of file tesseractclass.h.

STRING tesseract::TesseractStats::dump_words_str

Definition at line 131 of file tesseractclass.h.

inT16 tesseract::TesseractStats::good_char_count

Definition at line 127 of file tesseractclass.h.

bool tesseract::TesseractStats::last_char_was_newline

Definition at line 134 of file tesseractclass.h.

bool tesseract::TesseractStats::last_char_was_tilde

Definition at line 135 of file tesseractclass.h.

bool tesseract::TesseractStats::tilde_crunch_written

Definition at line 133 of file tesseractclass.h.

inT32 tesseract::TesseractStats::word_count

Definition at line 129 of file tesseractclass.h.

bool tesseract::TesseractStats::write_results_empty_block

Definition at line 136 of file tesseractclass.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccmain/tesseractclass.h